> For the complete documentation index, see [llms.txt](https://docs.usestencil.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usestencil.com/api/endpoints/projects.md).

# Projects

## List available projects

<mark style="color:blue;">`GET`</mark> `https://api.usestencil.com/v1/projects`

#### Query Parameters

| Name   | Type   | Description               |
| ------ | ------ | ------------------------- |
| after  | string | Query next result set     |
| before | string | Query previous result set |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "meta": {
        "next": null,
        "previous": null,
        "total_count": 1
    },
    "results": [
        {
            "created_at": "2021-05-06T07:00:21Z",
            "description": "Test",
            "favorite": false,
            "id": "f2eb2dab-a861-4960-b5f4-d54c61552f7d",
            "name": "Test project",
            "self": "https://api.usestencil.com/api/v1/projects/f2eb2dab-a861-4960-b5f4-d54c61552f7d",
            "templates": "https://api.usestencil.com/api/v1/projects/f2eb2dab-a861-4960-b5f4-d54c61552f7d/templates",
            "updated_at": "2021-05-06T07:00:21Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
`after` and `before` are related to pagination. Please see [pagination](/api/pagination.md) page for more information&#x20;
{% endhint %}

The response usually include link to other related endpoints.&#x20;

`self` links to detail regarding the resource itself.

`templates` links to endpoint to list templates related to the project.

## Get specific project

<mark style="color:blue;">`GET`</mark> `https://api.usestencil.com/v1/projects/:id`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | Project ID  |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "created_at": "2021-05-06T07:00:21Z",
    "description": "Test",
    "favorite": false,
    "id": "f2eb2dab-a861-4960-b5f4-d54c61552f7d",
    "name": "Test project",
    "self": "https://api.usestencil.com/api/v1/projects/f2eb2dab-a861-4960-b5f4-d54c61552f7d",
    "templates": "https://api.usestencil.com/api/v1/projects/f2eb2dab-a861-4960-b5f4-d54c61552f7d/templates",
    "updated_at": "2021-05-06T07:00:21Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usestencil.com/api/endpoints/projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
